## ros-kinetic-ros-wild 0.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ros_wild)

find_package(catkin REQUIRED COMPONENTS
  rospy
)

catkin_python_setup()

catkin_package()

###########
## Build ##
###########

include_directories(
  ${catkin_INCLUDE_DIRS}
)

#############
## Install ##
#############

install(PROGRAMS
  scripts/echo
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

#############
## Testing ##
#############

catkin_add_nosetests(test)

=== requirements.txt ===
nose==1.3.7

=== debian/changelog ===
ros-kinetic-ros-wild (0.5.0-0xenial) xenial; urgency=high

  * Fix CMakeLists.txt
  * Release package

 -- Yuma Mihira <yuma-m@users.noreply.github.com>  Tue, 13 Dec 2016 15:00:00 -0000

ros-kinetic-ros-wild (0.4.2-0xenial) xenial; urgency=high

  * Add tests for publisher and subscriber
  * Add topics_with/without_callback method for subscriber

 -- Yuma.M <yuma-m@users.noreply.github.com>  Thu, 17 Nov 2016 15:00:00 -0000

ros-kinetic-ros-wild (0.4.1-0xenial) xenial; urgency=high

  * Register callback by data class to wildcard subscriber

 -- Yuma Mihira <yuma-m@users.noreply.github.com>  Wed, 16 Nov 2016 15:00:00 -0000

ros-kinetic-ros-wild (0.4.0-0xenial) xenial; urgency=high

  * Modify publisher and subscriber to create instance without specifying data class

 -- Yuma Mihira <yuma-m@users.noreply.github.com>  Wed, 16 Nov 2016 15:00:00 -0000

ros-kinetic-ros-wild (0.3.0-0xenial) xenial; urgency=high

  * Create a node to echo topics

 -- Yuma Mihira <yuma-m@users.noreply.github.com>  Wed, 09 Nov 2016 15:00:00 -0000

ros-kinetic-ros-wild (0.2.0-0xenial) xenial; urgency=high

  * Create wildcard publisher

 -- Yuma Mihira <yuma-m@users.noreply.github.com>  Wed, 09 Nov 2016 15:00:00 -0000

ros-kinetic-ros-wild (0.1.0-0xenial) xenial; urgency=high

  * Create wildcard subscriber

 -- Yuma Mihira <yuma-m@users.noreply.github.com>  Tue, 08 Nov 2016 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-ros-wild
Section: misc
Priority: extra
Maintainer: Yuma Mihira <yuma-m@users.noreply.github.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-rospy
Homepage: https://github.com/yuma-m/ros_wild
Standards-Version: 3.9.2

Package: ros-kinetic-ros-wild
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-rospy
Description: The ros_wild package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-ros-wild//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
